E-MailRelay

Public Member Functions | List of all members
GSmtp::FileWriter Class Reference

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim write permissions. More...

`#include <gfilestore.h>`

Inheritance diagram for GSmtp::FileWriter:

## Public Member Functions
| FileWriter ()
| Default constructor. More...
| ~FileWriter ()
| Destructor. Switches identity back.
| FileWriter (const FileWriter &)=delete
| FileWriter (FileWriter &&)=delete
void | operator= (const FileWriter &)=delete
void | operator= (FileWriter &&)=delete

## Detailed Description

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim write permissions.

See also
  G::Root

Definition at line 200 of file gfilestore.h.

## Constructor & Destructor Documentation

## ◆ FileWriter()

GSmtp::FileWriter::FileWriter | ( |  | ) |

Default constructor.

Switches identity for writing a file.

Definition at line 345 of file gfilestore.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilestore.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilestore.cpp